<?php

/**************************************************************************/
/* PHP-NUKE: Advanced Content Management System                           */
/* ============================================                           */
/*                                                                        */
/* This is the language module with all the system messages               */
/*                                                                        */
/* If you made a translation, please go to the site and send to me        */
/* the translated file. Please keep the original text order by modules,   */
/* and just one message per line, also double check your translation!     */
/*                                                                        */
/* You need to change the second quoted phrase, not the capital one!      */
/*                                                                        */
/* If you need to use double quotes (") remember to add a backslash (\),  */
/* so your entry will look like: This is \"double quoted\" text.          */
/* And, if you use HTML code, please double check it.                     */
/**************************************************************************/


// ----------------------------------------------------------------------------------------
// Button
// ----------------------------------------------------------------------------------------
define("_BTNUPLOAD","Upload");
define("_BTNENTER","OK");
define("_BTNCANCEL","Cancel");
define("_BTNCLOSE","Close");


// ----------------------------------------------------------------------------------------
// Tools Bar
// ----------------------------------------------------------------------------------------
define("_EDTBTNTTBOLD","Bold");
define("_EDTBTNTTITAL","Italic");
define("_EDTBTNTTUNDE","Underline");
define("_EDTBTNTTSTRI","Strikethrough");
define("_EDTBTNTTSUBS","Subscript");
define("_EDTBTNTTSUPE","Superscript");
define("_EDTBTNTTLFTJ","Justify Left");
define("_EDTBTNTTCNTJ","Justify Center");
define("_EDTBTNTTRGTJ","Justify Right");
define("_EDTBTNTTLSTO","Ordered List");
define("_EDTBTNTTLSTU","Bulleted List");
define("_EDTBTNTTOUTD","Decrease Indent");
define("_EDTBTNTTINDE","Increase Indent");
define("_EDTBTNTTFORE","Font Color");
define("_EDTBTNTTBACK","Background Color");
define("_EDTBTNTTRULE","Horizontal Rule");
define("_EDTBTNTTLINK","Insert Web Link");
define("_EDTBTNTTIMAG","Insert Image");
define("_EDTBTNTTSMIL","Insert Smile");
define("_EDTBTNTTUPLO","Upload Image");
define("_EDTBTNTTCHAR","Insert Character");
define("_EDTBTNTTTABL","Insert Table");
define("_EDTBTNTTHTML","View HTML Source");
define("_EDTBTNTTMAXI","Enlarge Editor");
define("_EDTBTNTTABOU","About this editor");


// ----------------------------------------------------------------------------------------
// Upload Screen
// ----------------------------------------------------------------------------------------

define("_UPLOADNEWIMAGE","Upload a new image");
define("_ONLYREGITERUSERCANUPLOAD","Sorry, Only register User can upload new Image");
define("_UPLOAD","Upload");
define("_CANCEL","Cancel");
define("_MAXNUMBERUPLOAD","Max Number of Upload:");
define("_MAXFILESIZE","Maximum file size:");
define("_ALLOWEDEXTENTION","Allowed extention:");
define("_ZEROLENGTHFILE","The file you attempted to upload is zero length!");
define("_UPLOADDISALLOWEDEXTENTION","You attempted to upload a file with a disallowed extention!");
define("_UPLOADEXCEEDEDMAXFILESIZE","The file you attempted to upload exceeded the maximum file size of ");
define("_ALREADYEXISTS","The file you attempted to upload already exists. Please specify a new filename.");
define("_UNSPECIFIED","This File was unspecified");
define("_PLEASEWAIT","Please wait while uploading file....");
define("_INSERTUPL","Insert");
define("_DELETEUPL","Delete");
define("_AREYOUSUREDELETE","Are you sure you wish to delete?");
define("_NOMOREUPLOAD","You have exceeded the max number of upload");



// ----------------------------------------------------------------------------------------
// Smily Screen
// ----------------------------------------------------------------------------------------
define("_SMILIEDLGTITLE","Insert Smilie");

// ----------------------------------------------------------------------------------------
// Character screen
// ----------------------------------------------------------------------------------------
define("_CHARDLGTITLE","Insert Char");
define("_CHARCHOSE","Choose a Character");

// ----------------------------------------------------------------------------------------
// Color Screen
// ----------------------------------------------------------------------------------------
define("_COLORDLGTITLE","Color");
define("_INVALIDCOLOR","Invalid color code:");


// ----------------------------------------------------------------------------------------
// Table Screen
// ----------------------------------------------------------------------------------------
define("_TABLEDLGTITLE","Insert Table");
define("_TABLEERRINTRO","An error has occurred in this dialog.");
define("_TABLEERRERRDS","Error:&nbsp");
define("_TABLEWARNYOUM","You must specify a value for the&nbsp;");
define("_TABLEWARNFIELD","&nbsp;field!");
define("_TABLEWARNBADV1","You must specify a number between 0 and 9999 for&nbsp");
define("_TABLEWARNOWERW","Overwrite selected content?");
define("_TABLEDLGROWS","Rows:");
define("_TABLEDLGCOLS","Cols:");
define("_TABLEDLGWIDTH","Width:&nbsp;");
define("_TABLEDLGPIXEL","Pixels");
define("_TABLEDLGPERCENT","Percent");
define("_TABLEDLGLAYOUT","Layout");
define("_TABLEDLGALIGN","Alignment:");
define("_TABLEDLGBORDER","Border Thickness:");
define("_TABLEDLGSPACING","Spacing");
define("_TABLEDLGCSPACING","Cell Spacing:");
define("_TABLEDLGCPADDING","Cell Padding:");
define("_TABLEDLGALIGNNOTSET","Not set");
define("_TABLEDLGALIGNLEFT","Left");
define("_TABLEDLGALIGNRIGHT","Right");
define("_TABLEDLGALIGNTEXTTOP","Texttop");
define("_TABLEDLGALIGNAMIDDLE","Absmiddle");
define("_TABLEDLGALIGNBASELINE","Baseline");
define("_TABLEDLGALIGNABOTTOM","Absbottom");
define("_TABLEDLGALIGNBOTTOM","Bottom");
define("_TABLEDLGALIGNMIDDLE","Middle");
define("_TABLEDLGALIGNTOP","Top");


// ----------------------------------------------------------------------------------------
// Image Screen
// ----------------------------------------------------------------------------------------
define("_IMAGEDLGTITLE","Inserer Image");
define("_IMGAGEURL","Image URL:");
define("_IMAGETOOLTIP","Alternate Text:");
define("_IMAGELAYOUT","Layout");
define("_IMAGESPACING","Spacing");
define("_IMAGEALIGN","Alignment:");
define("_IMAGEHORIZON","Horizontal:");
define("_IMAGEBORDER","Border Thickness:");
define("_IMAGEVERTICAL","Vertical:");
define("_IMAGEERRNOURL","Image URL must be specified.");
define("_IMAGEERRHORSP","Horizontal spacing must be a number between 0 and 999.");
define("_IMAGEERRBRDTH","Border thickness must be a number between 0 and 999.");
define("_IMAGEERRVERSP","Vertical spacing must be a number between 0 and 999.");

// ----------------------------------------------------------------------------------------
// Insert Link Screen
// ----------------------------------------------------------------------------------------

define("_HYPERTITLE","Hyperlink Editor");
define("_HYPERTYPE","Type");
define("_HYPERTYPE01","other");
define("_HYPERTYPE02","File");
define("_HYPERTYPE03","FTP");
define("_HYPERTYPE04","Gopher");
define("_HYPERTYPE05","HTTP");
define("_HYPERTYPE06","HTTPS");
define("_HYPERTYPE07","mailTo");
define("_HYPERTYPE08","News");
define("_HYPERTYPE09","Telnet");
define("_HYPERTYPE10","WIAS");
define("_HYPERDEST","Target");
define("_HYPERURL","URL");
define("_HYPERTEXT","Text");

// ----------------------------------------------------------------------------------------
// Full Screen
// ----------------------------------------------------------------------------------------

define("_FULLSCREENTITLE","Fullscreen Editor");
define("_FULLSCREENMINIMIZE","Minimize Editor");
define("_FULLSCREENHTMLALT","View HTML Source");


?>