<?php
/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* http://www.nukedownload.com                                          */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



/**
* function showUploadDialog()
* Description: Show the Upload Dialog
*/
function showUploadDialog() {
	global $user,$admin,$cookie,$OkExt,$MAXFILESIZE,$pagetitle,$Path,$maxUploadNumber,$objname,$error;
	$uname=cookiedecode($user);	
	$username=$uname[1];
	
	if (is_admin($admin)) {
		$username="admin";	
		$maxUploadNumber=0;
	}
	
	echo "<html>";
	echo "<head>";
	echo "<title>"._UPLOADNEWIMAGE."</title>";
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n";
	echo "<link rel=\"stylesheet\" href=\"modules/htmlarea/upload.css\" type=\"text/css\">";
	echo "<script type=\"text/javascript\">\n";
	echo "function confirmDelete(imgSrc) {\n";
	echo "var delImg = confirm(\""._AREYOUSUREDELETE."\");";
	echo "	if (delImg == true) {";
	echo "		document.location.href = 'modules.php?name=htmlarea&op=delete&objname=$objname&filename='+imgSrc;";
	echo "  }\n";
	echo "}\n";
	echo "function insertImage(image) {\n";
	echo " opener.editor_insertHTML(\"$objname\",\"<IMG SRC='\"+image+\"'>\");\n";
	echo "	window.close();\n";
	echo "}\n";
	echo "</script>\n";
	echo "</head>\n";
	echo "<body bgcolor=\"#FFFFFF\">\n";
	
	if (is_user($user) || is_admin($admin)) {
	
	   // Show Upload Input
	   echo "<center>\n";
	   echo "<p class=\"text\">"._MAXNUMBERUPLOAD."&nbsp;<b>$maxUploadNumber</b><br>\n";
  	   echo _MAXFILESIZE."<b>&nbsp;".($MAXFILESIZE / 1024)." Ko</b><br>\n";
	   echo _ALLOWEDEXTENTION."<b>&nbsp;";
		while (list ( $key, $val) = each ($OkExt)) {
	    echo "*.$val&nbsp;&nbsp;";
	   }
	   echo "</p><form  name=mydialog enctype=\"multipart/form-data\" method=\"POST\" action=\"modules.php?name=htmlarea&op=upload\">\n";
	   echo "<TABLE>";
	   echo "<TR>";
	   echo "<TD class=\"text\"><b>"._UPLOADNEWIMAGE."</b></TD>";	   
       	   echo "<TD><INPUT name=\"objname\" type=hidden value=\"".$objname."\"><INPUT ID=MAX_FILE_SIZE name=\"MAX_FILE_SIZE\" type=hidden value=\"".$MAXFILESIZE."\">";
	   echo "<INPUT ID=filename name=filename type=file onfocus=\"select()\"></TD>\n";
   	   echo "<TD><INPUT ID="._UPLOAD." type=\"submit\" value=\""._UPLOAD."\"></TD>\n";
	   echo "</TR>";
	   echo "</TABLE>";	   
	   echo "</form>\n";
	   
	   // Show Gallery
	   echo "<table border=\"0\" width=\"97%\" cellspacing=\"0\" cellpadding=\"0\" class=\"title\">";
	   echo "<tr>";
	   echo "<td>&nbsp;&nbsp;"._EDTBTNTTIMAG."</td>";
	   echo "</tr>";
	   echo "</table>";
	   echo "<br>";
	   echo "<TABLE border=\"0\" width=\"97%\" cellpadding=\"10\" cellspacing=\"0\" class=\"uploadtable\">\n";
	   $col=0;
	   $handle=opendir($Path);
	   while ($file = readdir($handle)) {
		    if ($file != "." && $file != ".." && ereg($username."_([0-9]+)",$file,$count)) {
			   if ($col==0) {
			   	echo "<TR>\n";
			   }
		       echo "<TD width=20%><center><IMG width=\"75\" height=\"75\" border=\"1\" SRC=\"$Path$file\"><br><a href=\"javascript:insertImage('$Path$file')\" class=\"uploadlink\">"._INSERTUPL."</a> - <a href=\"javascript:confirmDelete('$Path$file')\" class=\"uploadlink\">"._DELETEUPL."</a></center></TD>\n";
			   $col++;
			   if ($col==5) {
			       $col=0;
				   echo "</TR>\n";
			   }
		    }
		}
	   if ($col!=0) {
	  	 for ($i=$col;$i<5;$i++) {
	   		echo "<td width=20%>&nbsp;</td>\n";
	   	}     
	   }	
	  
	   closedir($handle);
	   echo "</TABLE>\n";	   
	   echo "</center>\n";
	
	} else {
		echo "<script>\n";
		echo "alert('"._ONLYREGITERUSERCANUPLOAD."');\n";
		echo "window.close();\n";
		echo "</script>\n";
	}
	
	echo "</body>\n";
	echo "</html>\n";
}


/**
* Function upload()
* Description: Upload Am image
*/
function DoFileUpload($InputFile, $MaxSize, $Path, $ErrorFunction, $ExtsOk, $ForceFilename, $OverwriteOk) {
global $HTTP_POST_FILES;
global $user,$admin,$cookie,$maxUploadNumber,$objname,$window;

$uname=cookiedecode($user);	
$username=$uname[1];
$ErrNo = -1;

if (is_admin($admin)) {
	$username="admin";
	$maxUploadNumber=0;	
}
 
if (phpversion()>"4.1.0") {
	$TempFile = $_FILES [$InputFile]['tmp_name'];
	$FileSize = $_FILES [$InputFile]['size'];
	$FileName = $_FILES [$InputFile]['name'];
	$FileType = $_FILES [$InputFile]['type'];
} else {
	$TempFile = $HTTP_POST_FILES[$InputFile]['tmp_name'];
	$FileSize = $HTTP_POST_FILES[$InputFile]['size'];
	$FileName = $HTTP_POST_FILES[$InputFile]['name'];
	$FileType = $HTTP_POST_FILES[$InputFile]['type'];
}



if (!function_exists($ErrorFunction)) {
	if (!function_exists('DoFileUploadDefErrorHandle')) {
		function DoFileUploadDefErrorHandle($ErrorNumber,$ErrorTxt) {
		global $objname;
		
		// Show the error message
		echo "<br><br>\n";
		echo "<center><FONT color=#ff0000 size=3>$ErrorTxt</font><center>\n";
		echo "<br>\n";
		echo "<script type=\"text/javascript\">\n";
		echo "setTimeout(\"location='modules.php?name=htmlarea&op=dialog&error=$ErrorNumber&objname=$objname'\",3000);\n";
		echo "</script>\n";
		echo "</Body>\n";
		echo "</html>\n";
		}
	}
	$ErrorFunction = 'DoFileUploadDefErrorHandle';
}


echo "<html STYLE=\"width: 50px; height: 30px;\">\n";
echo "<head>";
echo "</head>";
echo "<Body bgcolor=#FFFFFF>\n";
echo "<br><br><br><br><br><br>\n";
echo "<center><FONT color=#0000ff size=3>"._PLEASEWAIT."</font><center>\n";
flush();


if(($FileSize > $MaxSize) || (($TempFile == 'none' || $TempFile == '') && $FileName!='')) {
$ErrorTxt = _UPLOADEXCEEDEDMAXFILESIZE . ($MaxSize / 1024) . 'kb.';
$ErrNo = 5;
$ErrorFunction($ErrNo,$ErrorTxt);
return $ErrNo;
} //if($FileSize > $MaxSize)

if (strlen($ForceFilename)) { $FileName = $ForceFilename; }

if($TempFile == 'none' || $TempFile == '') {
$ErrorTxt = _UNSPECIFIED;
$ErrNo = 1;
$ErrorFunction($ErrNo, $ErrorTxt);
return $ErrNo; 
}

if(!is_uploaded_file($TempFile)) {
$ErrorTxt = "File Upload Attack, Filename: \"$FileName\"";
$ErrNo = 2;
$ErrorFunction($ErrNo,$ErrorTxt);
return $ErrNo;
} //if(!is_uploaded_file($TempFile))

if($FileSize == 0) {
$ErrorTxt = _ZEROLENGTHFILE;
$ErrNo = 3;
$ErrorFunction($ErrNo,$ErrorTxt);
return $ErrNo;
} //$FileSize == 0

$TheExt = GetExt($FileName);

$FileExtOk=0;
foreach ($ExtsOk as $CurNum => $CurText) {
if (strtolower($TheExt) == strtolower($CurText)) { $FileExtOk = 1; }
}

if($FileExtOk != 1) {
$ErrorTxt = _UPLOADDISALLOWEDEXTENTION;
$ErrNo = 4;
$ErrorFunction($ErrNo,$ErrorTxt);
return $ErrNo;
}


if(file_exists($Path.$FileName) && !strlen($OverwriteOk)) {
$ErrorTxt = _ALREADYEXISTS;
$ErrNo = 6;
$ErrorFunction($ErrNo,$ErrorTxt);
return $ErrNo;
}

// Read Directory
$oldfilename="";
$oldfiletime=time();

$maxfilecount=0;
$handle=opendir($Path);

$freefilenumber = array();
for ($i = 1; $i <= $maxUploadNumber; $i++) {
    $freefilenumber[$i]=false;
}


while ($file = readdir($handle)) {
    if ($file != "." && $file != ".." && ereg($username."_([0-9]+)",$file,$count)) {
      
		$freefilenumber[$count[1]]=true;
		if ($count[1]>$maxfilecount) {
		    $maxfilecount=$count[1];
		}
		if (filemtime($Path.$file)<$oldfiletime) {
		    $oldfiletime=filemtime($Path.$file);
			$oldfilename=$Path.$file;
		}
    }
}
closedir($handle);


//-----------------------------------
//-------Actual Uploading Here

//move_uploaded_file ($TempFile, $Path.$FileName);
if (($maxUploadNumber!=0 && $maxfilecount<$maxUploadNumber) || $maxUploadNumber==0) {
	//echo "Copy:".$Path.$username."_".($maxfilecount+1)."<br>";
    move_uploaded_file ($TempFile, $Path.$username."_".($maxfilecount+1).".".$TheExt);
} else {
	
	// Find a free file number
	$findnumber=0;
	while($findnumber==0 && list ($key, $val) = each ($freefilenumber)){
		if ($val==false) {
		    $findnumber=$key;
		}
	} // while
	
	if ($findnumber!=0) {
		//echo "Copy:".$Path.$username."_".($findnumber).".".$TheExt."<br>";
		move_uploaded_file ($TempFile, $Path.$username."_".($findnumber).".".$TheExt);
	} else {
		$ErrorTxt = _NOMOREUPLOAD;
		$ErrNo = 7;
		$ErrorFunction($ErrNo, $ErrorTxt);
		return $ErrNo;
	}
    
}


echo "<script>location=\"modules.php?name=htmlarea&op=dialog&objname=$objname\"</script>";
echo "</Body>\n";
echo "</html>\n";

} //function DoFileUpload($InputFile, $MaxSize, $Path, $ErrorFunction, $ExtsOk, $ForceFilename, $OverwriteOk)

function GetExt($Filename) {
$RetVal = explode ( '.', $Filename);
return $RetVal[count($RetVal)-1];
}

/**
* Function deleteUserFile()
* Description: Delete A user Image File
*/
function deleteUserFile($filename) {
	global $user,$admin,$cookie,$objname;
	$uname=cookiedecode($user);	
	$username=$uname[1];
	
	if (is_admin($admin)) {
		$username="admin";	
	}
	// Check if the user can delete this images
	if (ereg($Path.$username."_([0-9]+)",$filename)) {
	    	//Delete the file
		unlink($filename);    
	}
	Header("Location: modules.php?name=htmlarea&op=dialog&objname=".$objname);	
	
}

?>