<?php
/**************************************************************************/
/* PHP-NUKE: Advanced Content Management System                           */
/* ============================================                           */
/*                                                                        */
/* This is the language module with all the system messages               */
/*                                                                        */
/* If you made a translation, please go to the site and send to me        */
/* the translated file. Please keep the original text order by modules,   */
/* and just one message per line, also double check your translation!     */
/*                                                                        */
/* You need to change the second quoted phrase, not the capital one!      */
/*                                                                        */
/* If you need to use double quotes (") remember to add a backslash (\),  */
/* so your entry will look like: This is \"double quoted\" text.          */
/* And, if you use HTML code, please double check it.                     */
/**************************************************************************/

// ----------------------------------------------------------------------------------------
// Boutons
// ----------------------------------------------------------------------------------------
define("_BTNUPLOAD","Envoyer");
define("_BTNENTER","Ok");
define("_BTNCANCEL","Annuler");
define("_BTNCLOSE","Fermer");
define("_BTNVIEW","Voir");
define("_BTNINSERT","Insrer");
define("_BTNDELETE","Effacer");

// ----------------------------------------------------------------------------------------
// Les tooltips de l'editeur
// ----------------------------------------------------------------------------------------
define("_EDTBTNTTBOLD","Gras");
define("_EDTBTNTTITAL","Italique");
define("_EDTBTNTTUNDE","Soulign");
define("_EDTBTNTTSTRI","Barr");
define("_EDTBTNTTSUBS","Indic");
define("_EDTBTNTTSUPE","Exposant");
define("_EDTBTNTTLFTJ","Justifi  gauche");
define("_EDTBTNTTCNTJ","Justifi au centre");
define("_EDTBTNTTRGTJ","Justifi  droite");
define("_EDTBTNTTLSTO","Liste numrote");
define("_EDTBTNTTLSTU","Liste de signets");
define("_EDTBTNTTOUTD","Dsindenter");
define("_EDTBTNTTINDE","Indenter");
define("_EDTBTNTTFORE","Couleur du texte");
define("_EDTBTNTTBACK","Couleur du fond");
define("_EDTBTNTTRULE","Sparation horizontale");
define("_EDTBTNTTLINK","Insrez une adresse web");
define("_EDTBTNTTIMAG","Insrez une image");
define("_EDTBTNTTSMIL","Insrez un moticon");
define("_EDTBTNTTUPLO","Chargez un fichier");
define("_EDTBTNTTCHAR","Insrez un caractre");
define("_EDTBTNTTTABL","Insrez un tableau");
define("_EDTBTNTTHTML","Voir le code HTML");
define("_EDTBTNTTMAXI","Agrandir l\'diteur");
define("_EDTBTNTTABOU","A propos de...");


// ----------------------------------------------------------------------------------------
// Fenetre d'Upload
// ----------------------------------------------------------------------------------------
define("_UPLOADNEWIMAGE","Envoyer un fichier");
define("_ONLYREGITERUSERCANUPLOAD","Dsol, seul les membres peuvent envoyer des fichiers");
define("_UPLOAD","Charger");
define("_CANCEL","Annuler");
define("_MAXNUMBERUPLOAD","Nombre maximum d'image:");
define("_MAXFILESIZE","Taille max du fichier:");
define("_ALLOWEDEXTENTION","Extentions autorises:");
define("_ZEROLENGTHFILE","Fichier de taille 0!");
define("_UPLOADDISALLOWEDEXTENTION","Ce type de fichier n'est pas autoris!");
define("_UPLOADEXCEEDEDMAXFILESIZE","Le fichier depasse la taille autorise!");
define("_ALREADYEXISTS","Le fichier existe dj. Veuillez le renommer.");
define("_UNSPECIFIED","Le chemin de fichier est manquant");
define("_PLEASEWAIT","Patientez pendant l'envoi......");
define("_INSERTUPL","Insrer");
define("_DELETEUPL","Effacer");
define("_AREYOUSUREDELETE","Etes-vous sure de vouloir effacer l\'image ?");
define("_NOMOREUPLOAD","Vous avez atteint le nombre maxmimum d\'images !");


// ----------------------------------------------------------------------------------------
// Fenetre de smilies
// ----------------------------------------------------------------------------------------
define("_SMILIEDLGTITLE","Insrer une motion");

// ----------------------------------------------------------------------------------------
// Fenetre Table de Caractres
// ----------------------------------------------------------------------------------------
define("_CHARDLGTITLE","Insrer un caractre");
define("_CHARCHOSE","Choisissez un Caractre");


// ----------------------------------------------------------------------------------------
// Fenetre Table de Couleurs
// ----------------------------------------------------------------------------------------
define("_COLORDLGTITLE","Couleur");
define("_INVALIDCOLOR","Code couleur incorrect:");

// ----------------------------------------------------------------------------------------
// Button
// ----------------------------------------------------------------------------------------
define("_BTNUPLOAD","Charger");
define("_BTNENTER","OK");
define("_BTNCANCEL","Annuler");
define("_BTNCLOSE","Fermer");


// ----------------------------------------------------------------------------------------
// Fenetre Table
// ----------------------------------------------------------------------------------------
define("_TABLEDLGTITLE","Insrer un tableau");
define("_TABLEERRINTRO","Une erreur s'est produite dans cette fentre !.");
define("_TABLEERRERRDS","Erreur:&nbsp");
define("_TABLEWARNYOUM","Vous devez donner une valeur pour le champ&nbsp;");
define("_TABLEWARNFIELD","&nbsp;!");
define("_TABLEWARNBADV1","Vous devez donner une valeure entre 0 et 9999 pour&nbsp");
define("_TABLEWARNOWERW","Remplacer la slection?");
define("_TABLEDLGROWS","Lignes:");
define("_TABLEDLGCOLS","Colonnes:");
define("_TABLEDLGWIDTH","Largeur:&nbsp;");
define("_TABLEDLGPIXEL","Pixels");
define("_TABLEDLGPERCENT","Pourcentage");
define("_TABLEDLGLAYOUT","Prsentation");
define("_TABLEDLGALIGN","Alignement:");
define("_TABLEDLGBORDER","Epaisseur des bordures:");
define("_TABLEDLGSPACING","Espacement");
define("_TABLEDLGCSPACING","Espacement:");
define("_TABLEDLGCPADDING","Marge:");
define("_TABLEDLGALIGNNOTSET","Par dfaut");
define("_TABLEDLGALIGNLEFT","Gauche");
define("_TABLEDLGALIGNRIGHT","Droite");
define("_TABLEDLGALIGNTEXTTOP","Haut du texte");
define("_TABLEDLGALIGNAMIDDLE","Milieu absolu");
define("_TABLEDLGALIGNBASELINE","Ligne de base");
define("_TABLEDLGALIGNABOTTOM","Bas absolu");
define("_TABLEDLGALIGNBOTTOM","Bas");
define("_TABLEDLGALIGNMIDDLE","Milieu");
define("_TABLEDLGALIGNTOP","Haut");


// ----------------------------------------------------------------------------------------
// Fenetre Image
// ----------------------------------------------------------------------------------------
define("_IMAGEDLGTITLE","Insrer une image");
define("_IMGAGEURL","URL de l'image:");
define("_IMAGETOOLTIP","Texte:");
define("_IMAGELAYOUT","Disposition");
define("_IMAGESPACING","Espacement");
define("_IMAGEALIGN","Alignement:");
define("_IMAGEHORIZON","Horizontal:");
define("_IMAGEBORDER","Epaisseur des bords:");
define("_IMAGEVERTICAL","Vertical:");
define("_IMAGEERRNOURL","Il faut une adresse d'image.");
define("_IMAGEERRHORSP","L'espacement horizontal doit tre une valeur entre 0 et 999.");
define("_IMAGEERRBRDTH","L'epaisseur des bords doit tre une valeur entre 0 et 999.");
define("_IMAGEERRVERSP","L'espacement vertical doit tre une valeur entre 0 et 999.");

// ----------------------------------------------------------------------------------------
// Fenetre Liens
// ----------------------------------------------------------------------------------------
define("_HYPERTITLE","Lien hypertexte");
define("_HYPERTYPE","Type");
define("_HYPERTYPE01","autre");
define("_HYPERTYPE02","fichier");
define("_HYPERTYPE03","ftp");
define("_HYPERTYPE04","gopher");
define("_HYPERTYPE05","http");
define("_HYPERTYPE06","https");
define("_HYPERTYPE07","email");
define("_HYPERTYPE08","news");
define("_HYPERTYPE09","telnet");
define("_HYPERTYPE10","wias");
define("_HYPERDEST","Destination");
define("_HYPERURL","URL");
define("_HYPERTEXT","Texte");

// ----------------------------------------------------------------------------------------
// Fenetre Editeur pleine page
// ----------------------------------------------------------------------------------------
define("_FULLSCREENTITLE","Editeur grande taille");
define("_FULLSCREENMINIMIZE","Revenir  la fentre");
define("_FULLSCREENHTMLALT","Voir le code HTML");

?>
