<?php

/**************************************************************************/
/* PHP-NUKE: Advanced Content Management System                           */
/* ============================================                           */
/*                                                                        */
/* This is the language module with all the system messages               */
/*                                                                        */
/* If you made a translation, please go to the site and send to me        */
/* the translated file. Please keep the original text order by modules,   */
/* and just one message per line, also double check your translation!     */
/*                                                                        */
/* You need to change the second quoted phrase, not the capital one!      */
/*                                                                        */
/* If you need to use double quotes (") remember to add a backslash (\),  */
/* so your entry will look like: This is \"double quoted\" text.          */
/* And, if you use HTML code, please double check it.                     */
/**************************************************************************/


// ----------------------------------------------------------------------------------------
// Button
// ----------------------------------------------------------------------------------------
define("_BTNUPLOAD","Last opp");
define("_BTNENTER","OK");
define("_BTNCANCEL","Avbryt");
define("_BTNCLOSE","Lukk");


// ----------------------------------------------------------------------------------------
// Tools Bar
// ----------------------------------------------------------------------------------------
define("_EDTBTNTTBOLD","Bold");
define("_EDTBTNTTITAL","Italic");
define("_EDTBTNTTUNDE","Understreket");
define("_EDTBTNTTSTRI","Gjennomstreket");
define("_EDTBTNTTSUBS","Subscript");
define("_EDTBTNTTSUPE","Superscript");
define("_EDTBTNTTLFTJ","Venstrestill");
define("_EDTBTNTTCNTJ","Midtstill");
define("_EDTBTNTTRGTJ","Venstrestill");
define("_EDTBTNTTLSTO","Nummerert liste");
define("_EDTBTNTTLSTU","Punktlist");
define("_EDTBTNTTOUTD","k innrykk");
define("_EDTBTNTTINDE","Reduser innrykk");
define("_EDTBTNTTFORE","Skrift farge");
define("_EDTBTNTTBACK","Bakgrunn farge");
define("_EDTBTNTTRULE","Horisontal linje");
define("_EDTBTNTTLINK","Sett inn link");
define("_EDTBTNTTIMAG","Sett inn bilde");
define("_EDTBTNTTSMIL","Sett inn smiley");
define("_EDTBTNTTUPLO","Last opp bilde");
define("_EDTBTNTTCHAR","Sett inn symbol");
define("_EDTBTNTTTABL","Sett inn tabell");
define("_EDTBTNTTHTML","HTML kode");
define("_EDTBTNTTMAXI","Full skjerm");
define("_EDTBTNTTABOU","Om WYSIWYG");


// ----------------------------------------------------------------------------------------
// Upload Screen
// ----------------------------------------------------------------------------------------

define("_UPLOADNEWIMAGE","Last opp nytt bilde");
define("_ONLYREGITERUSERCANUPLOAD","Beklager, bare registrerte brukere kan laste opp bilder");
define("_UPLOAD","Last opp");
define("_CANCEL","Avbryt");
define("_MAXNUMBERUPLOAD","Maks antall opplastinger:");
define("_MAXFILESIZE","Maks filstrrelse:");
define("_ALLOWEDEXTENTION","Tilatte fil endelser:");
define("_ZEROLENGTHFILE","Filen du prvde  laste opp har feil!");
define("_UPLOADDISALLOWEDEXTENTION","Du prvde  laste opp en fil med en ulovlig endelse!");
define("_UPLOADEXCEEDEDMAXFILESIZE","Filen du prvde  laste opp er for stor! ");
define("_ALREADYEXISTS","Filen du prvde  laste opp eksisterer allerede, prv et annet navn p filen.");
define("_UNSPECIFIED","Filen var uspesifisert");
define("_PLEASEWAIT","Vennligst vent, filen lastes opp....");
define("_INSERTUPL","Sett inn");
define("_DELETEUPL","Slett");
define("_AREYOUSUREDELETE","Er du sikker p at du vil slette?");
define("_NOMOREUPLOAD","Ingen flere opplastinger tilatt");



// ----------------------------------------------------------------------------------------
// Smily Screen
// ----------------------------------------------------------------------------------------
define("_SMILIEDLGTITLE","Sett inn smiley");

// ----------------------------------------------------------------------------------------
// Character screen
// ----------------------------------------------------------------------------------------
define("_CHARDLGTITLE","Sett inn symbol");
define("_CHARCHOSE","Velg symbol");

// ----------------------------------------------------------------------------------------
// Color Screen
// ----------------------------------------------------------------------------------------
define("_COLORDLGTITLE","Farge");
define("_INVALIDCOLOR","Feil fargekode:");


// ----------------------------------------------------------------------------------------
// Table Screen
// ----------------------------------------------------------------------------------------
define("_TABLEDLGTITLE","Sett inn tabell");
define("_TABLEERRINTRO","En feil har oppsttt.");
define("_TABLEERRERRDS","Feil:&nbsp");
define("_TABLEWARNYOUM","Spesifiser verdien for&nbsp;");
define("_TABLEWARNFIELD","&nbsp;felt!");
define("_TABLEWARNBADV1","Du m velge en verdi mellom 0 og 9999 for&nbsp");
define("_TABLEWARNOWERW","Overskriv valgt omrde?");
define("_TABLEDLGROWS","Rekker:");
define("_TABLEDLGCOLS","Kolonner:");
define("_TABLEDLGWIDTH","Bredde:&nbsp;");
define("_TABLEDLGPIXEL","Piksler");
define("_TABLEDLGPERCENT","Prosent");
define("_TABLEDLGLAYOUT","Layout");
define("_TABLEDLGALIGN","Plassering:");
define("_TABLEDLGBORDER","Ramme tykkelse:");
define("_TABLEDLGSPACING","Mellomrom");
define("_TABLEDLGCSPACING","Celle mellomrom:");
define("_TABLEDLGCPADDING","Celle padding:");
define("_TABLEDLGALIGNNOTSET","Ikke satt");
define("_TABLEDLGALIGNLEFT","Venstre");
define("_TABLEDLGALIGNRIGHT","Hyre");
define("_TABLEDLGALIGNTEXTTOP","Tekst topp");
define("_TABLEDLGALIGNAMIDDLE","Midtstill");
define("_TABLEDLGALIGNBASELINE","Baseline");
define("_TABLEDLGALIGNABOTTOM","Bunn");
define("_TABLEDLGALIGNBOTTOM","Bunn");
define("_TABLEDLGALIGNMIDDLE","Midten");
define("_TABLEDLGALIGNTOP","Toppen");


// ----------------------------------------------------------------------------------------
// Image Screen
// ----------------------------------------------------------------------------------------
define("_IMAGEDLGTITLE","Bilde tittel");
define("_IMGAGEURL","Link til bilde:");
define("_IMAGETOOLTIP","Bilde tekst:");
define("_IMAGELAYOUT","Layout");
define("_IMAGESPACING","Mellomrom");
define("_IMAGEALIGN","Plassering:");
define("_IMAGEHORIZON","Horisontal:");
define("_IMAGEBORDER","Ramme tykkelse:");
define("_IMAGEVERTICAL","Vertikal:");
define("_IMAGEERRNOURL","Bilde link m vre spesifisert.");
define("_IMAGEERRHORSP","Horisontalt mellomrom m vre et tall mellom 0 og 999.");
define("_IMAGEERRBRDTH","Ramme tykkelse m vre et tall mellom 0 og 999.");
define("_IMAGEERRVERSP","Vertikalt mellomrom m vre et tall mellom 0 og 999.");

// ----------------------------------------------------------------------------------------
// Insert Link Screen
// ----------------------------------------------------------------------------------------

define("_HYPERTITLE","Hyperlink Editor");
define("_HYPERTYPE","Type");
define("_HYPERTYPE01","other");
define("_HYPERTYPE02","File");
define("_HYPERTYPE03","FTP");
define("_HYPERTYPE04","Gopher");
define("_HYPERTYPE05","HTTP");
define("_HYPERTYPE06","HTTPS");
define("_HYPERTYPE07","mailTo");
define("_HYPERTYPE08","News");
define("_HYPERTYPE09","Telnet");
define("_HYPERTYPE10","WIAS");
define("_HYPERDEST","Target");
define("_HYPERURL","URL");
define("_HYPERTEXT","Text");

// ----------------------------------------------------------------------------------------
// Full Screen
// ----------------------------------------------------------------------------------------

define("_FULLSCREENTITLE","Maksimer");
define("_FULLSCREENMINIMIZE","Minimer");
define("_FULLSCREENHTMLALT","Se HTML kode");


?>